"use strict";
var common_vendor = require("../../../../common/vendor.js");
var uni_modules_wotDesignUni_components_composables_useParent = require("./useParent.js");
var uni_modules_wotDesignUni_components_wdCellGroup_types = require("../wd-cell-group/types.js");
function useCell() {
  const { parent: cellGroup, index } = uni_modules_wotDesignUni_components_composables_useParent.useParent(uni_modules_wotDesignUni_components_wdCellGroup_types.CELL_GROUP_KEY);
  const border = common_vendor.computed$1(() => {
    return cellGroup && cellGroup.props.border && index.value;
  });
  return { border };
}
exports.useCell = useCell;
